agent_id: yellow-pages-scraper
model: claude-haiku-4-6
squad: browser-and-automation
thread_type: P-Thread
purpose: Extract business listings from Yellow Pages AU; name, phone, category, address for lead gen
status: ready
created: 2026-02-24
